Skip to main content
GET
/
v1
/
companies
List companies
curl --request GET \
  --url https://api.passu.ai/v1/companies \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "company_type": "PUBLIC",
      "sector_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "updated_at": "2023-11-07T05:31:56Z",
      "ticker": "<string>",
      "cik": "<string>",
      "fiscal_year_end": "2023-12-25",
      "exchange": "<string>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

sector_id
string<uuid> | null

Filter companies by sector id.

cursor
string | null

Opaque cursor for pagination.

limit
integer
default:50

Maximum number of records to return.

Required range: 1 <= x <= 200

Response

Successful Response

data
Company · object[]
required
has_more
boolean
required
next_cursor
string | null